<?php

namespace HCM\SST\Services;

use HCM\SST\Repository\CidRepository;
use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;

class CidService {
    
    protected $entityManager;
    protected $hcmParameters;
    protected $cidRepository;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters, CidRepository $cidRepository) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
        $this->cidRepository = $cidRepository;
    }
    
    public function getCid($dataset) {
        return $this->cidRepository->getCid($dataset);
    }
}